@import url('https://fonts.googleapis.com/css2?family=Shadows+Into+Light&display=swap');
@font-face {
  font-family: 'RINGM';
  src: url('/css/fonts/RINGM___.TTF')format('svg');
  font-weight: normal;
  font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    outline: 0;
    -webkit-tap-highlight-color: transparent;
    -webkit-font-smoothing: antialiased;
    font-family: 'RINGM___.TTF';
  }

  main{
    min-height: 100vh;
    background-repeat: no-repeat;
    background: linear-gradient(to right top, #4d6fcc, #81c1f5);
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: rgb(73, 50, 173);
  }
   
  .glass{
    background: white;
    min-height: 80vh;
    width: 60%;
    background: linear-gradient(to right bottom,
      rgba(255, 255, 255, 0.7),
      rgba(255, 255, 255, 0.3)
    );
    border-radius: 2rem;
    z-index: 2;
    backdrop-filter: blur(2rem);
    display: flex;
  }

  .circle1,
  .circle2 {
    background: white;
    background: linear-gradient(to right bottom,
      rgba(255, 255, 255, 0.9),
      rgba(255, 255, 255, 0.2)
    );
    height: 20rem;
    width: 20rem;
    position: absolute;
    
    border-radius: 50%;
  }

  .circle1{
    top: 5%;
    right: 15%;
  }

  .circle2{
    bottom: 5%;
    left: 10%;
  }

  .dashboard{
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    text-align: center;
    background: linear-gradient(to right bottom,
      rgba(255, 255, 255, 0.7),
      rgba(255, 255, 255, 0.3)
    );
    border-radius: 2rem;
    max-width: 30%;
  }

  header a{
    font-weight: bold;
    color: rgb(91, 64, 211);
    text-decoration: none;
    display: flex;
    margin: 1rem 0rem;
    padding: 1rem 3rem;
    align-items: center;
    box-shadow: rgb(49, 60, 112);
  }

  .fa {
    margin: 0rem 1rem;
  }
  header li {
    list-style-type: none;
  }
  
  .form{
    flex: 2;
  }

  .space{
    max-width: 40px;
    margin: 0.1rem 0.1rem;
  }

  label{
    margin-right: 5px;
  }

  input, select{
    border: none; 
    border-width: 0; 
    box-shadow: none;
    margin-bottom: 0.7rem;
    border-radius: 0.2rem;
  }

  .logo img{
    max-width: auto;
    max-height: 80px;
  }

  .avatar img{
    max-width: 120px;
    max-height: 100px;
    border-radius: 1rem;
  }
  
  .foot img{
    position: absolute;
    max-width: auto;
    max-height: 6rem;
    top: 10%;
    right: -6%;
    /* background: linear-gradient(to right top, #4d6fcc, #81c1f5);
    border-radius: 1rem; */
  }

  footer{
    padding: 5rem;
    display: flex;
    position: relative;

  }

  h1, h2, h3, h4, h5, p {
    opacity: 0.8;
    color: rgb(73, 50, 173);
  }

  /* charater sheet section */

  h2{
    margin-bottom: 2rem;
  }

  .new-character{
    padding: 2rem;
    display: flex;
    flex-direction: column;

  }

  .cards{
    background: linear-gradient(to right bottom,
      rgba(255, 255, 255, 0.9),
      rgba(255, 255, 255, 0.2)
    );
    border-radius: 1rem;
    width: 100%;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
  }

  .cards-avatar{
    min-width: 120px;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    margin: 0rem 1rem;
    align-items: center;
  }

  .cards-stats{
    background: linear-gradient(to right bottom,
      rgba(255, 255, 255, 0.9),
      rgba(255, 255, 255, 0.2)
    );
    border-radius: 1rem;
    width: 100%;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    margin-bottom: 2rem;
    margin: 0rem 1rem;
  }

  .cards-bottom{
    background: linear-gradient(to right bottom,
      rgba(255, 255, 255, 0.9),
      rgba(255, 255, 255, 0.2)
    );
    border-radius: 1rem;
    width: 100%;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    margin-bottom: 2rem;
  }

  .card{
    display: flex;
    flex: 2;
  }

  .card-form{
    flex: 1;
    display: flex;
    flex-direction: column;
    margin: 0.2rem;
  }
  
  .card a{
    font-weight: bold;
    color: rgb(91, 64, 211);
    text-decoration: none;
    display: flex;
    margin: 1rem 0rem;
    padding: 1rem 3rem;
    align-items: center;
    box-shadow: rgb(49, 60, 112);
  }

  .card li{
    list-style-type: none;
  }

  #hidden{
    display: none;
  }

  .btn{

    margin: 0.5rem auto;
    border-radius: 0.5rem;
    padding: 0.2rem 10rem;

  }

  .split {
    display: flex;
    margin: 0.2rem 0rem;
  }

  .logo H1{
    color: #4d6fcc;
  }

  .logo span{
    padding: 1rem;
  }

  .text-container{
    max-width: 60vh;
  }
  .text-container h1{
    margin-bottom: 2rem;
  }
  .text-container p{
    margin-bottom: 2rem;
  }
  .text-container li{
    margin-bottom: 1rem;
  }
  .img img{
    max-width: 150px;
    max-height: 150px;
  }

  .btn-home{
    max-width: 150px;
    margin-top: 2rem;
    font-weight: bold;
    color: rgb(91, 64, 211);
    text-decoration: none;
    margin: 1rem 0rem;
    padding: 1rem 0rem;
    box-shadow: rgb(49, 60, 112);
  }

  .name{
    margin-top: 1rem 0rem;
  }
